> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get By Name

> Returns the specified cluster.



## OpenAPI

````yaml https://api.nebius.cloud/openapi.json get /msp/mlflow/v1alpha1/clusters/get-by-name
openapi: 3.0.3
info:
  title: Nebius API
  version: version not set
servers:
  - url: https://api.nebius.cloud
security:
  - bearerAuth: []
tags:
  - name: nebius.ai.v1.EndpointService
  - name: nebius.ai.v1.JobService
  - name: nebius.applications.v1alpha1.K8sReleaseService
  - name: nebius.audit.v2.AuditEventExportService
  - name: nebius.audit.v2.AuditEventService
  - name: nebius.billing.v1.CalculatorService
  - name: nebius.billing.v1alpha1.CalculatorService
  - name: nebius.billing.v1alpha1.OneTimeExportService
  - name: nebius.capacity.v1.CapacityAllowanceService
  - name: nebius.capacity.v1.CapacityBlockGroupService
  - name: nebius.capacity.v1.CapacityIntervalService
  - name: nebius.capacity.v1.ResourceAdviceService
  - name: nebius.compute.v1.DiskService
  - name: nebius.compute.v1.DiskSnapshotService
  - name: nebius.compute.v1.FilesystemService
  - name: nebius.compute.v1.GpuClusterService
  - name: nebius.compute.v1.ImageService
  - name: nebius.compute.v1.InstanceService
  - name: nebius.compute.v1.MaintenanceService
  - name: nebius.compute.v1.NVLInstanceGroupService
  - name: nebius.compute.v1.NodeService
  - name: nebius.compute.v1.PlatformService
  - name: nebius.dns.v1.RecordService
  - name: nebius.dns.v1.ZoneService
  - name: nebius.iam.v1.AccessKeyService
  - name: nebius.iam.v1.AccessPermitService
  - name: nebius.iam.v1.AuthPublicKeyService
  - name: nebius.iam.v1.FederatedCredentialsService
  - name: nebius.iam.v1.FederationCertificateService
  - name: nebius.iam.v1.FederationService
  - name: nebius.iam.v1.GroupMembershipService
  - name: nebius.iam.v1.GroupService
  - name: nebius.iam.v1.InvitationService
  - name: nebius.iam.v1.ProfileService
  - name: nebius.iam.v1.ProjectService
  - name: nebius.iam.v1.ServiceAccountService
  - name: nebius.iam.v1.SessionManagementService
  - name: nebius.iam.v1.StaticKeyService
  - name: nebius.iam.v1.TenantService
  - name: nebius.iam.v1.TenantUserAccountService
  - name: nebius.iam.v1.TenantUserAccountWithAttributesService
  - name: nebius.iam.v2.AccessKeyService
  - name: nebius.iam.v2.ProjectService
  - name: nebius.iam.v2.TenantService
  - name: nebius.kms.v1.AsymmetricCryptoService
  - name: nebius.kms.v1.AsymmetricKeyService
  - name: nebius.kms.v1.SymmetricCryptoService
  - name: nebius.kms.v1.SymmetricKeyService
  - name: nebius.logging.agentmanager.v1.VersionService
  - name: nebius.logging.v1.LogExportService
  - name: nebius.maintenance.v1alpha1.MaintenanceService
  - name: nebius.mk8s.v1.ClusterService
  - name: nebius.mk8s.v1.NodeGroupService
  - name: nebius.mk8s.v1alpha1.ClusterService
  - name: nebius.mk8s.v1alpha1.NodeGroupService
  - name: nebius.msp.mlflow.v1alpha1.ClusterService
  - name: nebius.msp.postgresql.v1alpha1.BackupService
  - name: nebius.msp.postgresql.v1alpha1.ClusterService
  - name: nebius.mysterybox.v1.PayloadService
  - name: nebius.mysterybox.v1.SecretService
  - name: nebius.mysterybox.v1.SecretVersionService
  - name: nebius.quotas.v1.QuotaAllowanceService
  - name: nebius.registry.v1.ArtifactService
  - name: nebius.registry.v1.RegistryService
  - name: nebius.storage.v1.BucketService
  - name: nebius.storage.v1.TransferService
  - name: nebius.storage.v1alpha1.TransferService
  - name: nebius.tunnel.v1.TunnelService
  - name: nebius.vpc.v1.AllocationService
  - name: nebius.vpc.v1.NetworkService
  - name: nebius.vpc.v1.PoolService
  - name: nebius.vpc.v1.RouteService
  - name: nebius.vpc.v1.RouteTableService
  - name: nebius.vpc.v1.SecurityGroupService
  - name: nebius.vpc.v1.SecurityRuleService
  - name: nebius.vpc.v1.SubnetService
  - name: nebius.vpc.v1.TargetGroupService
  - name: nebius.vpc.v1alpha1.AllocationService
  - name: nebius.vpc.v1alpha1.NetworkService
  - name: nebius.vpc.v1alpha1.PoolService
  - name: nebius.vpc.v1alpha1.ScopeService
  - name: nebius.vpc.v1alpha1.SubnetService
paths:
  /msp/mlflow/v1alpha1/clusters/get-by-name:
    get:
      tags:
        - nebius.msp.mlflow.v1alpha1.ClusterService
      summary: Get By Name
      description: Returns the specified cluster.
      operationId: ClusterService_GetByName
      parameters:
        - description: Identifier of IAM container to get cluster from.
          in: query
          name: parentId
          required: true
          schema:
            type: string
        - description: Name of the cluster.
          in: query
          name: name
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/mspMlflowV1alpha1Cluster'
          description: A successful response.
components:
  schemas:
    mspMlflowV1alpha1Cluster:
      properties:
        metadata:
          $ref: '#/components/schemas/commonV1ResourceMetadata'
        spec:
          $ref: '#/components/schemas/mspMlflowV1alpha1ClusterSpec'
        status:
          $ref: '#/components/schemas/v1alpha1MlflowClusterStatus'
      type: object
    commonV1ResourceMetadata:
      description: Common resource metadata.
      properties:
        createdAt:
          description: Timestamp indicating when the resource was created.
          format: date-time
          readOnly: true
          type: string
        id:
          description: Identifier for the resource, unique for its resource type.
          type: string
        labels:
          additionalProperties:
            type: string
          description: Labels associated with the resource.
          type: object
        name:
          description: Human readable name for the resource.
          type: string
        parentId:
          description: Identifier of the parent resource to which the resource belongs.
          type: string
        resourceVersion:
          description: >-
            Version of the resource for safe concurrent modifications and
            consistent reads.

            Positive and monotonically increases on each resource spec change
            (but *not* on each change of the

            resource's container(s) or status).

            Service allows zero value or current.
          format: int64
          type: string
        updatedAt:
          description: Timestamp indicating when the resource was last updated.
          format: date-time
          readOnly: true
          type: string
      required:
        - parentId
      type: object
    mspMlflowV1alpha1ClusterSpec:
      properties:
        adminPassword:
          description: MLflow admin password.
          type: string
        adminUsername:
          description: MLflow admin username.
          type: string
        description:
          description: Description of the cluster.
          type: string
        networkId:
          description: ID of the vpc network.
          type: string
        publicAccess:
          description: >-
            Either make cluster public accessible or accessible only via private
            VPC.
          type: boolean
        serviceAccountId:
          description: >-
            Id of the service account that will be used to access S3 bucket (and
            create one if not provided).
          type: string
        size:
          description: >-
            Size defines how much resources will be allocated to mlflow

            See supported sizes in the documentation. Default size is the
            smallest available in the region.
          type: string
        storageBucketName:
          description: >-
            Name of the Nebius S3 bucket for MLflow artifacts. If not provided,
            will be created under the same parent.
          type: string
      required:
        - adminUsername
        - adminPassword
        - serviceAccountId
        - networkId
      title: Cluster specification
      type: object
    v1alpha1MlflowClusterStatus:
      properties:
        effectiveStorageBucketName:
          description: Name of the Nebius S3 bucket for MLflow artifacts.
          type: string
        experimentsCount:
          format: int64
          title: Count of experiments in the MLflow cluster
          type: integer
        mlflowVersion:
          title: MLflow version
          type: string
        phase:
          $ref: '#/components/schemas/ClusterStatusPhase'
        state:
          $ref: '#/components/schemas/nebiusMspV1alpha1ClusterStatusState'
        trackingEndpoint:
          description: >-
            Tracking endpoint url.

            Will be removed soon in favor of private_tracking_endpoint and
            public_tracking_endpoint.
          type: string
        trackingEndpoints:
          $ref: '#/components/schemas/mspMlflowV1alpha1Endpoints'
      type: object
    ClusterStatusPhase:
      default: PHASE_UNSPECIFIED
      enum:
        - PHASE_UNSPECIFIED
        - PHASE_PROVISIONING
        - PHASE_RUNNING
        - PHASE_UPDATING
        - PHASE_DELETING
        - PHASE_DELETED
        - PHASE_PURGING
        - PHASE_STOPPING
        - PHASE_RESUMING
      type: string
    nebiusMspV1alpha1ClusterStatusState:
      default: STATE_UNSPECIFIED
      enum:
        - STATE_UNSPECIFIED
        - STATE_IN_PROGRESS
        - STATE_FINISHED
        - STATE_ERROR
        - STATE_DEGRADED
        - STATE_SCHEDULED
      type: string
    mspMlflowV1alpha1Endpoints:
      properties:
        private:
          title: Private endpoint
          type: string
        public:
          title: Public endpoint
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      description: The Authorization header expects a Bearer token.
      scheme: bearer
      type: http

````